org.eclipse.eef.ide.api.extensions

## Class AbstractRegistryEventListener

- java.lang.Object
- - org.eclipse.eef.ide.api.extensions.AbstractRegistryEventListener

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.core.runtime.IRegistryEventListener

Direct Known Subclasses:
  DescriptorRegistryEventListener

    public abstract class AbstractRegistryEventListener
    extends java.lang.Object
    implements org.eclipse.core.runtime.IRegistryEventListener

Utility superclass used to process extensions.

### Nested Class Summary

Nested Classes
`protected static class` `AbstractRegistryEventListener.Action` This enumeration will be used to distinguish the various states of an incoming event.

### Constructor Summary

Constructors
Constructor and Description
`AbstractRegistryEventListener(java.lang.String namespace, java.lang.String extensionPointID)` The constructor.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `added(org.eclipse.core.runtime.IExtension[] extensions)`
`void` `added(org.eclipse.core.runtime.IExtensionPoint[] extensionPoints)`
`protected abstract boolean` `processAddition(org.eclipse.core.runtime.IConfigurationElement configurationElement)` Processes the addition of the given configuration element.
`protected abstract boolean` `processRemoval(org.eclipse.core.runtime.IConfigurationElement configurationElement)` Processes the removal of the given configuration element.
`void` `readRegistry(org.eclipse.core.runtime.IExtensionRegistry extensionRegistry)` Reads the extension registry for the addition of new extensions.
`void` `removed(org.eclipse.core.runtime.IExtension[] extensions)`
`void` `removed(org.eclipse.core.runtime.IExtensionPoint[] extensionPoints)`
`protected abstract boolean` `validateConfigurationElement(org.eclipse.core.runtime.IConfigurationElement configurationElement)` Validates the given configuration element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractRegistryEventListener

    public AbstractRegistryEventListener(java.lang.String namespace,
                                         java.lang.String extensionPointID)

The constructor.

Parameters:
  `namespace` - The namespace of the extension point
  `extensionPointID` - The identifier of the extension point

### Method Detail

#### readRegistry

    public void readRegistry(org.eclipse.core.runtime.IExtensionRegistry extensionRegistry)

Reads the extension registry for the addition of new extensions.

Parameters:
  `extensionRegistry` - The extension registry

#### validateConfigurationElement

    protected abstract boolean validateConfigurationElement(org.eclipse.core.runtime.IConfigurationElement configurationElement)

Validates the given configuration element.

Parameters:
  `configurationElement` - The configuration element
Returns:
  `true` if the configuration element is valid, `false` otherwise

#### processAddition

    protected abstract boolean processAddition(org.eclipse.core.runtime.IConfigurationElement configurationElement)

Processes the addition of the given configuration element.

Parameters:
  `configurationElement` - The configuration element
Returns:
  `true` if the configuration element has been properly added, `false` otherwise

#### processRemoval

    protected abstract boolean processRemoval(org.eclipse.core.runtime.IConfigurationElement configurationElement)

Processes the removal of the given configuration element.

Parameters:
  `configurationElement` - The configuration element
Returns:
  `true` if the configuration element has been properly removed, `false` otherwise

#### added

    public void added(org.eclipse.core.runtime.IExtension[] extensions)

Specified by:
  `added` in interface `org.eclipse.core.runtime.IRegistryEventListener`
See Also:
  `IRegistryEventListener.added(org.eclipse.core.runtime.IExtension[])`

#### added

    public void added(org.eclipse.core.runtime.IExtensionPoint[] extensionPoints)

Specified by:
  `added` in interface `org.eclipse.core.runtime.IRegistryEventListener`
See Also:
  `IRegistryEventListener.added(org.eclipse.core.runtime.IExtensionPoint[])`

#### removed

    public void removed(org.eclipse.core.runtime.IExtension[] extensions)

Specified by:
  `removed` in interface `org.eclipse.core.runtime.IRegistryEventListener`
See Also:
  `IRegistryEventListener.removed(org.eclipse.core.runtime.IExtension[])`

#### removed

    public void removed(org.eclipse.core.runtime.IExtensionPoint[] extensionPoints)

Specified by:
  `removed` in interface `org.eclipse.core.runtime.IRegistryEventListener`
See Also:
  `IRegistryEventListener.removed(org.eclipse.core.runtime.IExtensionPoint[])`